Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::DomainManager Interface Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA::DomainManager:

[legend]
Collaboration diagram for CORBA::DomainManager:

[legend]
List of all members.

## Public Types
typedef DomainManager_ptr | _ptr_type
typedef DomainManager_var | _var_type
## Public Methods
Policy | get_domain_policy (in PolicyType policy_type)
virtual::CORBA::Policy_ptr | get_domain_policy (CORBA::PolicyType policy_type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const CORBA::Char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
DomainManager_ptr | _duplicate (DomainManager_ptr obj)
DomainManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DomainManager_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DomainManager_ptr | _nil (void)
| Return a NULL object. More...
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any. More...
## Static Public Attributes
int | _tao_class_id = 0
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| DomainManager (int collocated=0)
virtual void | CORBA_DomainManager_setup_collocation (int collocated)
| DomainManager (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0)
virtual | ~DomainManager (void)
## Private Methods
| DomainManager (const DomainManager &)
void | operator= (const DomainManager &)
## Private Attributes
_TAO_DomainManager_Proxy_Broker * | the_TAO_DomainManager_Proxy_Broker_
## Friends
class | _TAO_DomainManager_Remote_Proxy_Impl
class | _TAO_DomainManager_ThruPOA_Proxy_Impl
class | _TAO_DomainManager_Direct_Proxy_Impl

## Member Typedef Documentation

typedef DomainManager_ptr CORBA::DomainManager::_ptr_type

| Reimplemented from CORBA_Object.

typedef DomainManager_var CORBA::DomainManager::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

CORBA::DomainManager::DomainManager | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE CORBA::DomainManager::DomainManager | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0
| ) | `[protected]`

CORBA::DomainManager::~DomainManager | ( | void |  | ) | `[protected, virtual]`

CORBA::DomainManager::DomainManager | ( | const DomainManager & |  | ) | `[private]`

## Member Function Documentation

CORBA::DomainManager_ptr CORBA::DomainManager::_duplicate | ( | DomainManager_ptr | obj | ) | `[static]`

const char * CORBA::DomainManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

virtual CORBA::Boolean CORBA::DomainManager::_is_a | ( | const CORBA::Char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

CORBA::DomainManager_ptr CORBA::DomainManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

DomainManager_ptr CORBA::DomainManager::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object.

void CORBA::DomainManager::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA_Object.

void * CORBA::DomainManager::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

CORBA::DomainManager_ptr CORBA::DomainManager::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

void CORBA::DomainManager::CORBA_DomainManager_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

CORBA::Policy_ptr CORBA::DomainManager::get_domain_policy | ( | CORBA::PolicyType policy_type | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )

Policy CORBA::DomainManager::get_domain_policy | ( | in PolicyType | policy_type | ) |

void CORBA::DomainManager::operator= | ( | const DomainManager & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class _TAO_DomainManager_Direct_Proxy_Impl`[friend]`

friend class _TAO_DomainManager_Remote_Proxy_Impl`[friend]`

friend class _TAO_DomainManager_ThruPOA_Proxy_Impl`[friend]`

## Member Data Documentation

int CORBA::DomainManager::_tao_class_id = 0`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object.

_TAO_DomainManager_Proxy_Broker* CORBA::DomainManager::the_TAO_DomainManager_Proxy_Broker_`[private]`

The documentation for this interface was generated from the following files:

- Domain.pidl
- DomainC.h
- DomainC.cpp
- DomainC.i